## kwin 5.13.5

=== debian/changelog ===
kwin (4:5.13.5-1ubuntu2) cosmic; urgency=medium

  * Clean up symbols files. #MISSING comment entries left over from last
    library sonmame bump.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 05 Oct 2018 09:20:02 +0100

kwin (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: 
      + Kubuntu packaging Vcs fields
      + Bumped Frameworks & Plasma build deps.
      + Transitional kwin & kde-window-manager packages.
      + Depends on qtvirtualkeyboard-plugin.
    - debian/patches: kubuntu_disable_failing_tests.diff
    - debian/tests: Keep Kubuntu test setup.
    - debian/kwin-dev.acc.in: Pass -fno-keep-inline-functions to GCC.
    - debian/meta/cmake-ignore: Keep files for Kubuntu CI builds.
    - Symbols files: Keep Kubuntu versions.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Sep 2018 17:14:45 +0100

kwin (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:35 +0200

kwin (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:06 +0100

kwin (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * disable MouseMark and TrackMouse effects loading test
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:06 +0200

kwin (4:5.13.4-0ubuntu2) cosmic; urgency=medium

  * debian/tests/testsuite: Set $HOME for tests in debian/tests.home
    unconditionally.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 30 Aug 2018 16:54:10 +0100

kwin (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:41:27 +0100

kwin (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * Drop upstream applied shortcuts patch
  * Update symbols
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:10 +0100

kwin (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Force build against the new kdecoration soversion
  * Update symbols files.
  * Ignore cursor weird behaviour under a containerized xvfb
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:07 +0200

kwin (4:5.12.6-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:55:41 -0500

kwin (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:22 +0100

kwin (4:5.12.5-1) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
  * New upstream release (5.12.5).
  * testsuite: fix most of the test running environment
  * Add patch: Disable-testShadeWobblyWindows.patch
  * Add missing -dev dependency
  * Run the tests sequentialy
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:01 +0200

kwin (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:19 +0100

kwin (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Add a misc depends to kde-window-manager
  * Drop kde-window-manager transitional package
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:47 +0200

kwin (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:08 +0100

kwin (4:5.12.1-1) sid; urgency=medium

  * Add qml virtualkeyboard as a recommends
  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:54 +0100

kwin (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Add libcap as a build depends
  * Set kwin_wayland capabilities in postinst
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:42 +0100

kwin (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Use https uri for uscan
  * Drop unused lintian overrides
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:50 +0100

kwin (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:03 -0300

kwin (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:31 +0200

kwin (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3.1).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Sync watch file and signing-key.asc with neon
  * Bump kdecorations build dep to 5.10
  * Update symbols files after soversion bump
  * New upstream release (5.10.4).
  * New upstream release (5.10.5).

