=== debian/changelog ===
kwin (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:57 -0300

kwin (4:5.14.3-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Nov 2018 16:25:34 +0100

kwin (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update symbols files.
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:38 -0300
