=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kwin
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-dev (>= 4:5.13.5~),
+Build-Depends: breeze-dev (>= 4:5.9.0~),
                cmake (>= 3.1~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
+               extra-cmake-modules (>= 5.38~),
                kinit-dev (>= 5.42.0~),
-               kscreenlocker-dev (>= 5.13.5~),
+               kscreenlocker-dev,
                libcap-dev [linux-any],
                libdrm-dev (>= 2.4.62~),
                libegl1-mesa-dev (>= 1.2~),
@@ -19,7 +18,7 @@
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.9~),
-               libkdecorations2-dev (>= 4:5.13.5~),
+               libkdecorations2-dev (>= 4:5.13),
                libkf5activities-dev (>= 5.42.0~),
                libkf5completion-dev (>= 5.42.0~),
                libkf5config-dev (>= 5.42.0~),
@@ -44,8 +43,8 @@
                libkf5widgetsaddons-dev (>= 5.42.0~),
                libkf5windowsystem-dev (>= 5.42.0~),
                libkf5xmlgui-dev (>= 5.42.0~),
-               libqt5sensors5-dev (>= 5.9.0~),
-               libqt5x11extras5-dev (>= 5.9.0~),
+               libqt5sensors5-dev (>= 5.11.0~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                libsm-dev,
                libudev-dev [linux-any],
                libwayland-dev (>= 1.2),
@@ -70,36 +69,15 @@
                libxkbcommon-dev (>= 0.7.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.11.0~),
                qtbase5-private-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               qtscript5-dev (>= 5.9.0~),
-               qttools5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qtscript5-dev (>= 5.11.0~),
+               qttools5-dev (>= 5.11.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kwin
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
-
-Package: kde-window-manager
-Architecture: all
-Section: oldlibs
-Priority: optional
-Depends: kwin-x11 (>= 4:5.3.2-4~), ${misc:Depends}
-Description: transitional package for kwin-x11
- This transitional package allows one to migrate to the packages providing
- the X11 version of the KDE window manager.
- .
- It can be safely removed after the installation.
-
-Package: kwin
-Architecture: all
-Multi-Arch: no
-Section: oldlibs
-Priority: optional
-Depends: kwin-x11, ${misc:Depends}
-Description: Transitional dummy for kwin-x11
- This package is a transitional dummy to depend on the renamed kwin-x11 and
- can be removed.
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin.git
 
 Package: kwin-common
 Architecture: any
@@ -110,9 +88,11 @@
          qml-module-qtmultimedia,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libqt5multimedia5-plugins, plasma-desktop (>= 4:5.13), qtvirtualkeyboard-plugin
-Suggests: kwin-addons (>= 4:5.13)
+Recommends: libqt5multimedia5-plugins, plasma-desktop (>= 4:5.14)
+Suggests: kwin-addons (>= 4:5.14)
 Breaks: kwin (<= 4:5.3.1-0ubuntu3),
+        plasma-workspace (<< 4:5.14),
+        plasma-workspace-dev (<< 4:5.14),
 Replaces: kwin (<= 4:5.3.1-0ubuntu3)
 Description: KDE window manager, common files
  KWin (pronounced as one syllable "kwin") is the window
@@ -157,8 +137,8 @@
          libkf5config-dev (>= 5.42.0~),
          libkf5coreaddons-dev (>= 5.42.0~),
          libkf5windowsystem-dev (>= 5.42.0~),
-         libqt5x11extras5-dev (>= 5.9.0~),
-         qtbase5-dev (>= 5.9.0~),
+         libqt5x11extras5-dev (>= 5.11.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: kde-workspace-dev
@@ -176,7 +156,7 @@
 
 Package: kwin-wayland
 Architecture: any
-Depends: kwayland-integration (>= 5.13),
+Depends: kwayland-integration (>= 5.14),
          kwin-common (= ${binary:Version}),
          kwin-wayland-backend-drm (= ${binary:Version}) | kwin-wayland-backend-fbdev (= ${binary:Version}) | kwin-wayland-backend-x11 (= ${binary:Version}) | kwin-wayland-backend-virtual (= ${binary:Version}) | kwin-wayland-backend-wayland (= ${binary:Version}),
          libcap2-bin [linux-any],
@@ -196,6 +176,7 @@
  This package provides the wayland version, which is still a work in progress
  project, and is available as a PREVIEW release. Don't expect the same
  stability as with the x11 version.
+Breaks: plasma-workspace-wayland (<< 4:5.14)
 
 Package: kwin-wayland-backend-drm
 Section: libs
@@ -285,9 +266,25 @@
          libkwinxrenderutils11 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: kde-window-manager (<< 4:5)
+Breaks: kde-window-manager (<< 4:5), kwin-addons (<< 4:5.14)
 Replaces: kde-window-manager (<< 4:5)
 Provides: kwin, x-window-manager
 Description: KDE window manager, X11 version
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
+ control over your windows, making sure they're not in the way
+ but aid you in your task. It paints the window decoration,
+ the bar on top of every window with (configurable) buttons
+ like close, maximize and minimize. It also handles placing
+ of windows and switching between them.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: libkwin4-effect-builtins1
+Section: libs
+Architecture: any
+Depends: libkwineffects11 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: KDE window manager effect builtins library
+ KWin (pronounced as one syllable "kwin") is the window
